#/bin/sh

#######################################################
# Mise en place des variables 
#######################################################
WEBDELIB_PATH=/var/www/webdelib
GEDOOO_PATH=/opt/tomcat
GEDOOO_HOST=http://127.0.0.1/
GEDOOO_PORT=8080
PROPRIO_FILES_APACHE=www-data
PROPRIO_FILES_TOMCAT=tomcat

TMP_PATH=/tmp

#######################################################
# Test du lancement du script par root
#######################################################
clear
if [ $UID -ne 0 ]; then
        echo "Vous devez lancer le script en tant que root"
        exit 1
fi

#######################################################
# Attribution des droits
#######################################################
chown -R $PROPRIO_FILES_APACHE: $WEBDELIB_PATH
chown -R $PROPRIO_FILES_TOMCAT: $GEDOOO_PATH

#######################################################
# Verification du services tomcat
#######################################################
PS_JAVA=$(pgrep -u $PROPRIO_FILES_TOMCAT java)
if [ $PS_JAVA ]
then
    echo -n "tomcat fonctionne correctement (PID:$PS_JAVA) : ";
    netstat -antup|grep  $GEDOOO_PORT | grep  $PS_JAVA |grep LISTEN > /dev/null 2>&1
    if [ $? -eq 0 ]
    then
        echo "port en ecoute"
    else
        echo "port KO"
	kill -9 $PS_JAVA
	/etc/init.d/tomcat stop  > /dev/null 2>&1
	sleep 5
	/etc/init.d/tomcat start
    fi
else
    echo 'Pas de processus java detecte';
    echo 'Demarrage du service tomcat : ';
    /etc/init.d/tomcat start
fi

#######################################################
# Verification du services offfice
#######################################################
PS_OFFICE=$(pgrep soffice.bin)
if [ $PS_OFFICE ]
then
    echo -n "office fonctionne correctement (PID:$PS_OFFICE) : ";
    netstat -antup|grep 8100 | grep  $PS_OFFICE |grep LISTEN > /dev/null 2>&1
    if [ $? -eq 0 ]
    then
        echo "port en ecoute"
    else
        echo "port KO"
	kill -9 $PS_OFFICE
	/etc/init.d/sofficed stop  > /dev/null 2>&1
        sleep 5
	/etc/init.d/sofficed start
    fi
else
    echo 'Pas de processus office detecte';
    echo 'Demarrage du service office : ';
    /etc/init.d/sofficed start
fi

#######################################################
# Test de récupération du fichier wsdl
#######################################################
cd $TMP_PATH
rm $TMP_PATH/OfficeServi*  > /dev/null 2>&1
wget $GEDOOO_HOST:$GEDOOO_PORT/axis2/services/OfficeService?wsdl > /dev/null 2>&1
if [ ! -f $TMP_PATH/OfficeService?wsdl ]
then
    echo "La recuperation du fichier wsdl a echoue"
else 
    echo "Fichier WSDL recupere correctement"
fi

#######################################################
# affichage de memoire
#######################################################
cat /proc/meminfo  | grep MemFree
