#!/bin/bash

BACKUPDIR=/var/backupslinux01/
DATE=`date +%d-%m-%Y`
DIRMYSQL=/var/lib/mysql
PROJECT=$1
shift
DOCUMENTROOT=$1
shift
DBS="$@"
HOSTNAME=`hostname`
DIR=$BACKUPDIR/$HOSTNAME/DB/$PROJECT/$DATE
ROTATEDIR=$BACKUPDIR/$HOSTNAME/DB/$PROJECT/
HER=`pwd`

### test avant lancement du script
if [ $UID -ne 0 ]; then
	echo "$0: must be run by root"
	exit 1
fi

if [ ! -d $DOCUMENTROOT ]; then
	echo " DocumentRoot invalid:$DOCUMENTROOT"
	exit 1
fi

if [ $# -lt 1 ];then
	echo "usage:$0 <nom_projet> <DocumentRoot> [DB1 DB2 ...]*"
	exit 1
fi
		
for b in $DBS
	do
		if [ ! -d $DIRMYSQL/$b ]; then
			echo "Incorrect DB:$b"
			exit 1
		fi
	done
### Ok fin des test !!!
#create backup directory
if [ ! -d $DIR ]
then
	mkdir -p $DIR
fi
#save code
cd $DOCUMENTROOT
ls -Rl > LIST_FILES.txt
tar -chzf $DIR/$PROJECT.tar.gz .

#save data
for b in $DBS
	do
	    /usr/bin/mysqldump --quick --extended-insert --lock-tables --add-locks --add-drop-table -u"webdelib" -p"webdelib" webdelib3 1> $DIR/$b.sql  2> /dev/null ;  
            
	    tail $DIR/$b.sql|grep "Dump completed" > /dev/null 2>&1
	    if [ $? -eq 1 ] ; then
	        mail -s "Erreur de sauvegarde de la base $b ($0)" root <<-EOM
		
		Hostname= $HOSTNAME
		Date= `date +%F`
		
		La sauveagrde de la base de donnees $b n'est pas complete. 
		
		ATTENTION DANGER DE PERTE DE DONNEES.
EOM
            fi
        done
#save backup cmd
cd $HER
cp -a $0 $DIR

#rotate de $NBR 
[ -z $ROTATEDIR ] && exit 1

i=`ls -c1 $ROTATEDIR|wc -l`

NBR=7

cd $ROTATEDIR

if [ $i -gt $NBR ]; then
	
	while [ $i -ne $NBR ]; do
		rm -rf `ls -rt|head -1`
		i=`ls -c1 $ROTATEDIR|wc -l`
	done
fi
